import { CONTAINERS } from '../constants/ResourceNames'
import { REQUEST_OK } from '../constants/ActionTypes'


/**
 * 
 * @param {*} state 
 * @param {*} action 
 */
export const containers = (state = [], action) => {
    if (action.resource !== CONTAINERS) {
        return state
    }

    if (action.type === REQUEST_OK) {
        return action.payload.containers
    }

    return state
}